<%= form_with(model: [current_user, @post], local: true) do |form| %>
<% if @post.images.attached? %>
<%= render @post %>
<% end %>

<% if post.errors.any? %>
<div id="error_explanation">
  <h2><%= pluralize(post.errors.count, "error") %> prohibited this post from being saved:</h2>
  <ul>
    <% post.errors.full_messages.each do |message| %>
    <li><%= message %></li>
    <% end %>
  </ul>
</div>
<% end %>

<% unless @post.id.nil? %>
<% if current_page?(edit_user_post_path(current_user, @post)) %>
<%= form.check_box :change_all %>
<%= form.label :change_all, 'Заменить картинки' %>
<% end %>
<% end %>

<div class="field">
  <%= form.label :images %>
  <%= form.file_field :images, multiple: true %>
</div>

<div class="field">
  <%= form.label :desc %>
  <%= form.text_area :desc, :class => 'form-control', rows: '5' %>
</div>

<div class="actions">
  <%= form.submit :class => 'btn btn-primary my-2' %>
</div>
<% end %>
